Bug 741071 - Prelink problem
Summary: Prelink problem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 832772 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 22:04 UTC by paul+bugzilla.redhat.org
Modified: 2012-08-07 18:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:40:22 UTC


Attachments (Terms of Use)

Description paul+bugzilla.redhat.org 2011-09-24 22:04:37 UTC
Description of problem: Prelink throwing up a warning


Version-Release number of selected component (if applicable): 6.0.2


How reproducible: everytime


Steps to Reproduce:
1. # prelink -u -a
2.
3.
  
Actual results: 06:00 PM /etc/ld.so.conf.d# prelink -u -a
prelink: /usr/lib64/xulrunner-2/libxul.so: DT_JMPREL tag not adjacent to DT_RELA relocations
prelink: /usr/lib64/xulrunner-2/libmozjs.so: DT_JMPREL tag not adjacent to DT_RELA relocations



Expected results: no warnings


Additional info:making a file thunderbird-6.0.conf and adding the library path helped for the thunderbird app, but for firefox, I couldn't find a solution.

Sometimes I get a sigpipe from suspending the pc and returning to firefox (and other mozilla based browsers), and I would like to get rid of ancillary issues to focus on that problem.

Comment 1 Xavier Hourcade 2012-02-08 18:51:36 UTC
Hi, met this today as well

# prelink --all
prelink: /usr/lib64/xulrunner-2/libxul.so: DT_JMPREL tag not adjacent to DT_RELA relocations       
prelink: /usr/lib64/xulrunner-2/libmozjs.so: DT_JMPREL tag not adjacent to DT_RELA relocations     

both provided by

xulrunner-10.0-1.fc16.x86_64 : XUL Runtime for Gecko Applications
Repo        : @updates

Comment 2 Martin Stransky 2012-05-04 09:08:46 UTC
Firefox does not well with prelink right now, because of the xulrunner-stub. It's not a prioroty now, but let's leave it open, we may fix it some day.

Comment 3 Martin Stransky 2012-07-31 14:06:46 UTC
*** Bug 832772 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2012-08-07 18:40:24 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.